TESTING/EIG/clctes.f(3)

NAME
TESTING/EIG/clctes.f

SYNOPSIS

  Functions/Subroutines
logical function clctes (z, d)
CLCTES

Function/Subroutine Documentation

  logical function clctes (complex z, complex d)

CLCTES

Purpose:

    !>
    !> CLCTES returns .TRUE. if the eigenvalue Z/D is to be selected
    !> (specifically, in this subroutine, if the real part of the
    !> eigenvalue is negative), and otherwise it returns .FALSE..
    !>
    !> It is used by the test routine CDRGES to test whether the driver
    !> routine CGGES successfully sorts eigenvalues.
    !>

Parameters
    Z

    !>          Z is COMPLEX
    !>          The numerator part of a complex eigenvalue Z/D.
    !>

    D

    !>          D is COMPLEX
    !>          The denominator part of a complex eigenvalue Z/D.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 57 of file clctes.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.